Package com.emc.d2fs.models.d2_allowed_files

# Class AllowedFiles

java.lang.Object
com.emc.d2fs.models.d2_allowed_files.AllowedFiles

All Implemented Interfaces:
  `Serializable`

public class AllowedFiles extends Object implements Serializable

Java class for allowedFiles complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="allowedFiles">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence maxOccurs="unbounded" minOccurs="0">
             <element name="file_endings" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
           <attribute name="is_whitelist" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="allow_no_extension" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="max_uploadfile_size" type="{http://www.w3.org/2001/XMLSchema}long" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AllowedFiles()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getFileEndings()`
  Gets the value of the fileEndings property.
  `Long`
  `getMaxUploadfileSize()`
  Gets the value of the maxUploadfileSize property.
  `Boolean`
  `isAllowNoExtension()`
  Gets the value of the allowNoExtension property.
  `Boolean`
  `isIsWhitelist()`
  Gets the value of the isWhitelist property.
  `void`
  `setAllowNoExtension(Boolean value)`
  Sets the value of the allowNoExtension property.
  `void`
  `setIsWhitelist(Boolean value)`
  Sets the value of the isWhitelist property.
  `void`
  `setMaxUploadfileSize(Long value)`
  Sets the value of the maxUploadfileSize property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AllowedFiles

    public AllowedFiles()

- ## Method Details

  - ### getFileEndings

    public List<String> getFileEndings()
    Gets the value of the fileEndings property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the fileEndings property.

    For example, to add a new item, do as follows:

            getFileEndings().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### isIsWhitelist

    public Boolean isIsWhitelist()
    Gets the value of the isWhitelist property.
    Returns:
      possible object is `Boolean`

  - ### setIsWhitelist

    public void setIsWhitelist(Boolean value)
    Sets the value of the isWhitelist property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isAllowNoExtension

    public Boolean isAllowNoExtension()
    Gets the value of the allowNoExtension property.
    Returns:
      possible object is `Boolean`

  - ### setAllowNoExtension

    public void setAllowNoExtension(Boolean value)
    Sets the value of the allowNoExtension property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getMaxUploadfileSize

    public Long getMaxUploadfileSize()
    Gets the value of the maxUploadfileSize property.
    Returns:
      possible object is `Long`

  - ### setMaxUploadfileSize

    public void setMaxUploadfileSize(Long value)
    Sets the value of the maxUploadfileSize property.
    Parameters:
      `value` - allowed object is `Long`